org.apache.cayenne.map.event

## Class MapEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.cayenne.event.CayenneEvent
    - - org.apache.cayenne.map.event.MapEvent

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    EmbeddableEvent, EntityEvent

      public abstract class MapEvent
      extends CayenneEvent

  Superclass of CayenneModeler events.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADD` A type that describes object creation events.
    `static int` | `CHANGE` A type that describes object modification events.
    `protected DataChannelDescriptor` | `domain` Domain of event object.
    `protected int` | `id`
    `protected String` | `oldName`
    `protected boolean` | `oldNameSet`
    `static int` | `REMOVE` A type that describes object removal events.

    - ### Fields inherited from class org.apache.cayenne.event.CayenneEvent

      `info, postedBy, subject`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapEvent(Object source)` Constructor for MapEvent.
    `MapEvent(Object source, String oldName)` Constructor for MapEvent.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataChannelDescriptor` | `getDomain()`
    `int` | `getId()` Returns the id.
    `abstract String` | `getNewName()` Returns the newName of the object that caused this event.
    `String` | `getOldName()` Returns the oldName.
    `boolean` | `isNameChange()`
    `void` | `setDomain(DataChannelDescriptor domain)` Sets domain of event object.
    `void` | `setId(int id)` Sets the id.
    `void` | `setOldName(String oldName)` Sets the oldName.

    - ### Methods inherited from class org.apache.cayenne.event.CayenneEvent

      `getInfo, getPostedBy, getSubject, setPostedBy, setSubject`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CHANGE

          public static final int CHANGE

      A type that describes object modification events. CHANGE is a default type of new MapEvents, unless the type is specified explicitly.
      See Also:
        Constant Field Values

    - #### ADD

          public static final int ADD

      A type that describes object creation events.
      See Also:
        Constant Field Values

    - #### REMOVE

          public static final int REMOVE

      A type that describes object removal events.
      See Also:
        Constant Field Values

    - #### id

          protected int id

    - #### oldName

          protected String oldName

    - #### oldNameSet

          protected boolean oldNameSet

    - #### domain

          protected DataChannelDescriptor domain

      Domain of event object. Might be null

  - ### Constructor Detail

    - #### MapEvent

          public MapEvent(Object source)

      Constructor for MapEvent.
      Parameters:
        `source` - event source

    - #### MapEvent

          public MapEvent(Object source,
                          String oldName)

      Constructor for MapEvent.
      Parameters:
        `source` - event source

  - ### Method Detail

    - #### isNameChange

          public boolean isNameChange()

    - #### getId

          public int getId()

      Returns the id.
      Returns:
        int

    - #### getNewName

          public abstract String getNewName()

      Returns the newName of the object that caused this event.

    - #### getOldName

          public String getOldName()

      Returns the oldName.

    - #### setId

          public void setId(int id)

      Sets the id.

    - #### setOldName

          public void setOldName(String oldName)

      Sets the oldName.

    - #### setDomain

          public void setDomain(DataChannelDescriptor domain)

      Sets domain of event object.

    - #### getDomain

          public DataChannelDescriptor getDomain()

      Returns:
        Domain of event object. Might be null

Copyright © 2001–2018 Apache Cayenne. All rights reserved.